Bug 30231 - Replace TopComponent.getSystemActions w/ .getActions
Replace TopComponent.getSystemActions w/ .getActions
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Window System
3.x
All All
: P2 (vote)
: 3.x
Assigned To: Peter Zavadsky
issues@platform
:
Depends on:
Blocks: 27868
  Show dependency treegraph
 
Reported: 2003-01-20 21:48 UTC by Jesse Glick
Modified: 2008-12-22 15:44 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2003-01-20 21:48:03 UTC
Suggest

// delete systemActions member
private static SystemAction[] DEFAULT_ACTIONS = null;
/** @deprecated */
public SystemAction[] getSystemActions() {
    synchronized (TopComponent.class) {
        if (DEFAULT_ACTIONS == null) {
            DEFAULT_ACTIONS = /* initial list:
SaveAction etc. */;
        }
    }
    return DEFAULT_ACTIONS;
}
public Action[] getActions() {
    return getSystemActions();
}

and change window system code to call getActions
rather than getSystemActions and use the proper
method to make a context menu.
Comment 1 Jesse Glick 2003-01-20 21:48:34 UTC
Could be considered part of issue #27868 set of changes.
Comment 2 Peter Zavadsky 2003-01-21 09:49:31 UTC
Yes, I had this in mind. 
Yarda told me there is also something similar in FS.
Comment 3 Peter Zavadsky 2003-01-21 13:04:38 UTC
Fixed in [trunk]

openide/openide-spec-vers.properties 1.97
openide/api/doc/changes/apichanges.xml 1.130
openide/src/org/openide/windows/TopComponent.java 1.89
openide/src/org/openide/explorer/ExplorerPanel.java 1.38
core/src/org/netbeans/core/windows/frames/DefaultContainerImpl.java 1.69
core/manifest.mf 1.16



By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo